%define name	ladcca
%define version 0.3.0
%define release 1mdk

%define major 	1
%define libname lib%name%major

Name: %{name}
Summary: Session management system for JACK and ALSA audio applications
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://pkl.net/~node/ladcca.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	tetex pkgconfig libjack-devel libalsa-devel libgtk+2.0-devel

%description
This is a daemon, a client library and a some clients that implement a session
management system for audio applications on GNU/Linux.

In different consoles, run ladcca_gtk_client and ladcca_synth.  Make
some jack and aseq connections to the synth using aconnect and jack_connect.
Add some configs and open a file in ladcca_gtk_client.  Then click on save
in ladcca_gtk_client.  Now close both the clients (just ^C the synth.)  Now
run ladcca_control and type "restore /home/<user>/audio-projects/project-1". 
The synth and gtk client should restart, and the synth's connections should
be restored.  Phat.

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %{libname}-devel
Summary: Headers for developing programs that will use %name.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f docs/Make*

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="ladcca_gtk_client" icon="sound_section.png" needs="x11" title="ladcca" longtitle="Jack/ALSA Session Manager" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%_install_info %{name}.info
		
%postun
%clean_menus
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README docs/* NEWS TODO
%{_bindir}/*
%{_menudir}/%name
%{_infodir}/%{name}*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/ladcca*/%name
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.3.0-1mdk
- 0.3.0

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
